cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Advanced Grid Extension

Shashi_Preetham
17-Peridot

Advanced Grid Extension

Hi,

Where "Advance grid Extension" can be downloaded ?
searched all the places, can't find anywhere !!


Thanks,
Shashi

Shashi Preetham
1 ACCEPTED SOLUTION

Accepted Solutions

"The Advanced Grids are available as standard widgets in the ThingWorx Platform for 8.5.X and later. ThingWorx 8.4.X and earlier uses Advanced Grids that are available as extensions in the PTC Software Download page: https://support.ptc.com/appserver/auth/it/esd/index.jsp . There may not be an upgrade for these extensions in later releases. It is recommended to use the standard widgets in the ThingWorx Platform 8.5.X and later".

 

Link: http://support.ptc.com/help/thingworx/platform/r9/en/#page/ThingWorx/Help/Mashup_Builder/Widgets/Adv...

View solution in original post

5 REPLIES 5

"The Advanced Grids are available as standard widgets in the ThingWorx Platform for 8.5.X and later. ThingWorx 8.4.X and earlier uses Advanced Grids that are available as extensions in the PTC Software Download page: https://support.ptc.com/appserver/auth/it/esd/index.jsp . There may not be an upgrade for these extensions in later releases. It is recommended to use the standard widgets in the ThingWorx Platform 8.5.X and later".

 

Link: http://support.ptc.com/help/thingworx/platform/r9/en/#page/ThingWorx/Help/Mashup_Builder/Widgets/Adv...

hi @VladimirN ,

Read all the articles shared by you, but what's the solution ?
previously 8.4 version was used and those 8.4 mashups have been imported to 9.2 version, now Advanced Gird (Configure Grid Columns Settings) are not working in 9.2, 8.4 advance grid extensions are also removed !!

but still this is same issue, should server to be restarted ?

Shashi Preetham

Hi @Shashi_Preetham.

 

Please provide some detail around the issue.  What isn't working?  Are you getting any errors?

 

Regards.

 

--Sharon

Hi @slangley ,

When Advance Grid widget is used, Data is getting populated/displayed in the Advanced Grid but can't configure the grid columns, it shows "must bound to a data" even though the datashape is been provided in the service connected to the advanced grid widget !!

The Thingworx Version: 9.2

Is this a permission issue, for which when pressed on configure grid columns shows "Must bound to the data" ?

Thanks,

Shashi Preetham.

Shashi Preetham
slangley
23-Emerald II
(To:slangley)

Hi @Shashi_Preetham.

 

It doesn't sound like a permissions issue, but you can easily test for that by testing with the Administrator account.  If you still have difficulty figuring it out, please private message me with your PTC Support email address and I will be happy to open a case on your behalf.

 

Note that the grid widgets are being redesigned in ThingWorx 9.3 targeted for release in December.

 

Regards.

 

--Sharon

Announcements